import sys

CalcCounter = {}


def add_calc(origin, count):
    global CalcCounter
    if origin in CalcCounter: 
        CalcCounter[origin] += count
    else:
        CalcCounter[origin] = count


def write_calc():
    for c in CalcCounter:
        print >> sys.stderr, c, ":", CalcCounter[c]